Page MenuHomePhabricator

Remove code related to no-anonymous-editing mode of MobileFrontend ($wgMFEditorOptions['anonymousEditing'] = false;)
Closed, ResolvedPublic

Description

Anonymous editing in MobileFrontend has been enabled on Wikimedia wikis since 2015 (T93210: Set $wgMFEditorOptions['anonymousEditing'] = true by default for all wikis) and enabled by default in the extension shortly thereafter (rEMFR1d327aca4eab: Change default value of anonymousEditing to true).

There is still an option to disable it: $wgMFEditorOptions['anonymousEditing'] = false;, and a lot of code (in Minerva) to support this, including a popup (call-to-action) in the mobile editor urging users to register (in 'skins.minerva.editor' module), and a popup (guider) on the page urging them to to edit after they have registered via the previous popup (in 'skins.minerva.newusers' module). All of this never runs and is never tested.

I think we should remove this option and the code supporting it.

acceptance criteria

  • Make sure code relating to anonymous CTAs for section edit links is removed.
  • Editing button respects wgPermissions see T206823

QA steps

Test on the beta cluster https://en.wikipedia.beta.wmflabs.org/wiki/Transcluded_page

Some exploratory testing would be useful here.

  • As an anonymous user can you edit the page?
  • Do the options to login/sign in work?

Related Objects

StatusSubtypeAssignedTask
OpenNone
StalledNone
OpenNone
OpenNone
DuplicateJdlrobson
OpenNone
OpenNone
DeclinedNone
ResolvedDannyH
OpenNone
DuplicateNone
Openmarcella
OpenNone
OpenNone
OpenNone
Resolvedmatmarex
Resolvedovasileva

Event Timeline

matmarex created this task.Sep 25 2018, 8:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2018, 8:45 AM
matmarex updated the task description. (Show Details)Sep 25 2018, 8:47 AM

I'd be happy to work on this if someone confirms that you want it removed. :)

Jdlrobson moved this task from Incoming to Product Owner Backlog on the Readers-Web-Backlog board.
Jdlrobson added subscribers: ovasileva, Jdlrobson.

@ovasileva thoughts on removing this code?

@ovasileva thoughts on removing this code?

No objections from my end.

@matmarex if we make this change will it honor wgPermissions instead ? If not, can it be made to?

Jdlrobson updated the task description. (Show Details)Oct 3 2018, 10:25 PM
Jdlrobson triaged this task as Medium priority.Oct 5 2018, 4:25 PM
Jdlrobson added a project: patch-welcome.
Jdlrobson updated the task description. (Show Details)

@Jdlrobson I'm not sure what you mean. But as far as I know, the mobile editor already respects the normal user permissions.

matmarex claimed this task.Oct 5 2018, 10:47 PM

Change 464925 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/MinervaNeue@master] Remove code related to no-anonymous-editing mode of MobileFrontend

https://gerrit.wikimedia.org/r/464925

Change 464926 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] Remove option to disable anonymous editing

https://gerrit.wikimedia.org/r/464926

I'd like us to commit to reviewing Bartosz's patches within the next week. Moving to the sprint board for visibility.

Change 464925 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove code related to no-anonymous-editing mode of MobileFrontend

https://gerrit.wikimedia.org/r/464925

Change 464926 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Remove option to disable anonymous editing

https://gerrit.wikimedia.org/r/464926

Jdlrobson updated the task description. (Show Details)Oct 11 2018, 11:03 PM
Jdlrobson reassigned this task from matmarex to Ryasmeen.Oct 11 2018, 11:08 PM
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Product-QA.

@Jdlrobson & @ovasileva I am having some trouble on Beta right now. I am unable to edit either logged in or out. It is hanging on this spinner.



matmarex updated the task description. (Show Details)Oct 18 2018, 8:05 PM

Did some exploratory testing, nothing seems broken to me for this change.

To confirm: I can edit both as a logged in user and as an anonymous user using the edit icon for the article but not with section edit icon.

o confirm: I can edit both as a logged in user and as an anonymous user using the edit icon for the article but not with section edit icon.

@Ryasmeen I can edit with the section edit icon on https://en.m.wikipedia.beta.wmflabs.org/wiki/Echo_test_page_158360831278326872513083237944042439519#

o confirm: I can edit both as a logged in user and as an anonymous user using the edit icon for the article but not with section edit icon.

@Ryasmeen I can edit with the section edit icon on https://en.m.wikipedia.beta.wmflabs.org/wiki/Echo_test_page_158360831278326872513083237944042439519#

okay yeah for that page it's working for me, but I was testing on the test page mentioned under QA steps:
https://en.wikipedia.beta.wmflabs.org/wiki/Transcluded_page

For that one, it's not opening the editor for me.

Sorry of all the random page I could have picked.. that was a terrible example to pick :) (T198011)

Sorry of all the random page I could have picked.. that was a terrible example to pick :) (T198011)

hah! :) alright then, this one is good to go.

Niedzielski removed Ryasmeen as the assignee of this task.Oct 24 2018, 5:12 PM
Niedzielski added a subscriber: Ryasmeen.
ovasileva closed this task as Resolved.Oct 24 2018, 5:20 PM
ovasileva claimed this task.

Looks good, thanks all!

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 24 2018, 5:20 PM
ovasileva updated the task description. (Show Details)Oct 24 2018, 5:21 PM